# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Resource types

* [`dsc_auditpolicycsv`](#dsc_auditpolicycsv): The DSC AuditPolicyCsv resource type. Automatically generated from version 1.4.0.0
* [`dsc_auditpolicyguid`](#dsc_auditpolicyguid): The DSC AuditPolicyGUID resource type. Automatically generated from version 1.4.0.0
* [`dsc_auditpolicyoption`](#dsc_auditpolicyoption): The DSC AuditPolicyOption resource type. Automatically generated from version 1.4.0.0
* [`dsc_auditpolicysubcategory`](#dsc_auditpolicysubcategory): The DSC AuditPolicySubcategory resource type. Automatically generated from version 1.4.0.0

## Resource types

### <a name="dsc_auditpolicycsv"></a>`dsc_auditpolicycsv`

The DSC AuditPolicyCsv resource type.
Automatically generated from version 1.4.0.0

#### Properties

The following properties are available in the `dsc_auditpolicycsv` type.

##### `dsc_csvpath`

Data type: `String`

Path to a CSV backup of Auditing settings

##### `ensurable`

Data type: `Boolean[false]`

Default attribute added to all dsc types without an ensure property. This resource is not ensurable.

#### Parameters

The following parameters are available in the `dsc_auditpolicycsv` type.

* [`dsc_issingleinstance`](#-dsc_auditpolicycsv--dsc_issingleinstance)
* [`dsc_psdscrunascredential`](#-dsc_auditpolicycsv--dsc_psdscrunascredential)
* [`name`](#-dsc_auditpolicycsv--name)
* [`validation_mode`](#-dsc_auditpolicycsv--validation_mode)

##### <a name="-dsc_auditpolicycsv--dsc_issingleinstance"></a>`dsc_issingleinstance`

namevar

Data type: `Enum['Yes', 'yes']`

Specifies the resource is a single instance, the value must be 'Yes'

##### <a name="-dsc_auditpolicycsv--dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="-dsc_auditpolicycsv--name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="-dsc_auditpolicycsv--validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_auditpolicyguid"></a>`dsc_auditpolicyguid`

The DSC AuditPolicyGUID resource type.
Automatically generated from version 1.4.0.0

#### Properties

The following properties are available in the `dsc_auditpolicyguid` type.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'present', 'Absent', 'absent']]`

Specifies whether the flag should be enabled or disabled. To enable the flag, set this property to Present. To disable the flag, set this property to Absent.

#### Parameters

The following parameters are available in the `dsc_auditpolicyguid` type.

* [`dsc_auditflag`](#-dsc_auditpolicyguid--dsc_auditflag)
* [`dsc_name`](#-dsc_auditpolicyguid--dsc_name)
* [`dsc_psdscrunascredential`](#-dsc_auditpolicyguid--dsc_psdscrunascredential)
* [`name`](#-dsc_auditpolicyguid--name)
* [`validation_mode`](#-dsc_auditpolicyguid--validation_mode)

##### <a name="-dsc_auditpolicyguid--dsc_auditflag"></a>`dsc_auditflag`

namevar

Data type: `Enum['Success', 'success', 'Failure', 'failure', 'Success And Failure', 'success and failure', 'No Auditing', 'no auditing']`

The audit flag to be configured.

##### <a name="-dsc_auditpolicyguid--dsc_name"></a>`dsc_name`

namevar

Data type: `String`

The name of the Subcategory to be configured.

##### <a name="-dsc_auditpolicyguid--dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="-dsc_auditpolicyguid--name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="-dsc_auditpolicyguid--validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_auditpolicyoption"></a>`dsc_auditpolicyoption`

The DSC AuditPolicyOption resource type.
Automatically generated from version 1.4.0.0

#### Properties

The following properties are available in the `dsc_auditpolicyoption` type.

##### `ensurable`

Data type: `Boolean[false]`

Default attribute added to all dsc types without an ensure property. This resource is not ensurable.

#### Parameters

The following parameters are available in the `dsc_auditpolicyoption` type.

* [`dsc_name`](#-dsc_auditpolicyoption--dsc_name)
* [`dsc_psdscrunascredential`](#-dsc_auditpolicyoption--dsc_psdscrunascredential)
* [`dsc_value`](#-dsc_auditpolicyoption--dsc_value)
* [`name`](#-dsc_auditpolicyoption--name)
* [`validation_mode`](#-dsc_auditpolicyoption--validation_mode)

##### <a name="-dsc_auditpolicyoption--dsc_name"></a>`dsc_name`

namevar

Data type: `Enum['CrashOnAuditFail', 'crashonauditfail', 'FullPrivilegeAuditing', 'fullprivilegeauditing', 'AuditBaseObjects', 'auditbaseobjects', 'AuditBaseDirectories', 'auditbasedirectories']`

The name of the audit policy option to set.

##### <a name="-dsc_auditpolicyoption--dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="-dsc_auditpolicyoption--dsc_value"></a>`dsc_value`

namevar

Data type: `Enum['Enabled', 'enabled', 'Disabled', 'disabled']`

The value to set the audit policy option to.

##### <a name="-dsc_auditpolicyoption--name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="-dsc_auditpolicyoption--validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

### <a name="dsc_auditpolicysubcategory"></a>`dsc_auditpolicysubcategory`

The DSC AuditPolicySubcategory resource type.
Automatically generated from version 1.4.0.0

#### Properties

The following properties are available in the `dsc_auditpolicysubcategory` type.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'present', 'Absent', 'absent']]`

Specifies whether the flag should be enabled or disabled. To enable the flag, set this property to Present. To disable the flag, set this property to Absent.

#### Parameters

The following parameters are available in the `dsc_auditpolicysubcategory` type.

* [`dsc_auditflag`](#-dsc_auditpolicysubcategory--dsc_auditflag)
* [`dsc_name`](#-dsc_auditpolicysubcategory--dsc_name)
* [`dsc_psdscrunascredential`](#-dsc_auditpolicysubcategory--dsc_psdscrunascredential)
* [`name`](#-dsc_auditpolicysubcategory--name)
* [`validation_mode`](#-dsc_auditpolicysubcategory--validation_mode)

##### <a name="-dsc_auditpolicysubcategory--dsc_auditflag"></a>`dsc_auditflag`

namevar

Data type: `Enum['Success', 'success', 'Failure', 'failure']`

The audit flag to be configured.

##### <a name="-dsc_auditpolicysubcategory--dsc_name"></a>`dsc_name`

namevar

Data type: `String`

The name of the Subcategory to be configured.

##### <a name="-dsc_auditpolicysubcategory--dsc_psdscrunascredential"></a>`dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### <a name="-dsc_auditpolicysubcategory--name"></a>`name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

##### <a name="-dsc_auditpolicysubcategory--validation_mode"></a>`validation_mode`

Data type: `Enum[property, resource]`

Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode
(resource).

Default value: `property`

