require 'puppet/resource_api'

Puppet::ResourceApi.register_type(
  name: 'dsc_auditpolicyoption',
  dscmeta_resource_friendly_name: 'AuditPolicyOption',
  dscmeta_resource_name: 'MSFT_AuditPolicyOption',
  dscmeta_resource_implementation: 'MOF',
  dscmeta_module_name: 'AuditPolicyDsc',
  dscmeta_module_version: '1.4.0.0',
  docs: 'The DSC AuditPolicyOption resource type.
         Automatically generated from version 1.4.0.0',
  features: ['simple_get_filter', 'canonicalize', 'custom_insync'],
  attributes: {
    name: {
      type:      'String',
      desc:      'Description of the purpose for this resource declaration.',
      behaviour: :namevar,
    },
    validation_mode: {
      type:      'Enum[property, resource]',
      desc:      'Whether to check if the resource is in the desired state by property (default) or using Invoke-DscResource in Test mode (resource).',
      behaviour: :parameter,
      default:   'property',
    },
    dsc_name: {
      type: "Enum['CrashOnAuditFail', 'crashonauditfail', 'FullPrivilegeAuditing', 'fullprivilegeauditing', 'AuditBaseObjects', 'auditbaseobjects', 'AuditBaseDirectories', 'auditbasedirectories']",
      desc: 'The name of the audit policy option to set.',

      behaviour: :namevar,
      mandatory_for_get: true,
      mandatory_for_set: true,
      mof_type: 'String',
      mof_is_embedded: false,
    },
    dsc_psdscrunascredential: {
      type: 'Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]',
      desc: ' ',

      behaviour: :parameter,
      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'PSCredential',
      mof_is_embedded: true,
    },
    dsc_value: {
      type: "Enum['Enabled', 'enabled', 'Disabled', 'disabled']",
      desc: 'The value to set the audit policy option to.',

      behaviour: :namevar,
      mandatory_for_get: true,
      mandatory_for_set: true,
      mof_type: 'String',
      mof_is_embedded: false,
    },
    ensurable: {
      type: 'Boolean[false]',
      desc: 'Default attribute added to all dsc types without an ensure property. This resource is not ensurable.',
      default: false,

      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'String',
      mof_is_embedded: false,
    },
  },
)
